Subject: [Pana] RE: Sam's IESG comments

From: "Alper Yegin" <[email-masked]>
Date: Tue, 3 Jul 2007 16:34:36 +0300

> > -> Would you suggest we re-introduce what we had but only with a one-bit
> > info that says "PaC shall configure a new IP address" (without
> enumerating
> > any specific address config mechanisms)?
> >

> Sam, the notification of an IP address change in the PANA protocol
> itself was among the items that we removed in order to reduce PANA's
> complexity. If the IP address changes for some reason, whether it is
> configured via DHCP, SA, IKE, IPCP, or manually, PANA would need to
> react like any other protocol that would be affected (e.g., TCP) by
> this. I believe we discussed that ending the current session and
> restarting PANA would be a perfectly reasonable thing to do, but not
> certain that this made it into the text.

Somehow I must have missed this. I don't remember discussing termination of
current session and start of a new one when the IP address changes. Section
5.6 describes how the PaC's IP address (as one of the PANA session
attributes) change is handled.

> You suggest that PANA try and indicate when address configuration is
> required. Trying to enumerate this is due to the number of environments
> PANA wishes to applicable in and the number of ways an address may be
> configured sends the author and the reader out into the weeds rather
> quickly. Rather, I believe in the base framework and protocol spec it is
> sufficient to say that the IP address may change, and if it does PANA
> needs to know this and may need to restart. Specific "PANA with Foo"
> specifications may make this recommendation more precise if need be.

I agree enumeration of IP address configuration mechanisms is not a good
idea. But how about that one-bit indication of "PaC shall configure a new IP
address"? Sam agrees that his comment can be handled that way. If you are
fine with it, we can do that.

Alper

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: "Alper Yegin" <[email-masked]>
Date: Sat, 7 Jul 2007 01:41:00 +0300

Sam,

Thank you. 

Let's see if we can close the opens until than. If not, we'd like to get on
your agenda. I'll send you a separate note on that.

I think we have reduced the list down to two:

- Version number management. 

Need more thinking/discussion.

- Necessity of data integrity. 

I had sent a response. I wonder if it made sense, or you'd still prefer to
change the language in the document. 

Alper

> -----Original Message-----
> From: Sam Hartman [mailto:[email-masked]]
> Sent: Friday, July 06, 2007 4:31 PM
> To: Alper Yegin
> Cc: 'Jari Arkko'; 'Mark Townsley'; [email-masked]
> Subject: Re: Sam's IESG comments
> 
> If we are not able to resolve this before Chicago, perhaps we could
> meet there and try to come to resolution on these issues.
> 
> My schedule is still relatively free.